## GocGraph GocGraph — Graph. |

## Synopsis

                        GocGraph;
    typedef             GocGraphClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocGraph

## Properties

      "graph"                    GogGraph*             : Write
      "height"                   gdouble               : Read / Write
      "renderer"                 GogRenderer*          : Read / Write
      "width"                    gdouble               : Read / Write
      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

GocLine implements GogGraph embedding in the canvas.

## Details

### GocGraph

    typedef struct _GocGraph GocGraph;

### GocGraphClass

    typedef GocItemClass GocGraphClass;

## Property Details

### The `"graph"` property

      "graph"                    GogGraph*             : Write

The GogGraph this object displays.

### The `"height"` property

      "height"                   gdouble               : Read / Write

Height.

Allowed values: >= 0

Default value: 100

### The `"renderer"` property

      "renderer"                 GogRenderer*          : Read / Write

The GogRenderer being displayed.

### The `"width"` property

      "width"                    gdouble               : Read / Write

Width.

Allowed values: >= 0

Default value: 100

### The `"x"` property

      "x"                        gdouble               : Read / Write

The graph left position.

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

The graph top position.

Default value: 0